<?php

/* 根据 yaf.environ 配置设置报错处理方式 */
$environ = ini_get('yaf.environ');
if(in_array($environ, ['dev'])) {
    ini_set("display_errors", "On");
    error_reporting(E_ALL);

    // 异常信息等级
    define('_ERROR_LEVEL', E_ALL);
    define('_IS_DEBUG', true);

} else {
    ini_set("display_errors", "Off");
    error_reporting(E_ALL & ~E_DEPRECATED & ~E_STRICT);

    // 异常信息等级
    define('_ERROR_LEVEL', E_ALL & ~E_DEPRECATED & ~E_STRICT);
    define('_IS_DEBUG', false);
}

/* 定义这个常量是为了在application.ini中引用*/
define('ROOT_PATH', realpath(__DIR__.'/../'));
define('APP_PATH', realpath(__DIR__.'/../application'));
define('APP_START', microtime(true));

// 调试参数 __debug 的值
define('_DEBUG_PASS', 'debugpass'); // 为了避免调试信息泄漏，请定义自己的密钥
// 是否开启调试状态

$application = new Yaf\Application( ROOT_PATH . "/conf/application.ini");

$application->bootstrap()->run();
